> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1roles



## OpenAPI

````yaml https://auth-ms.supergasbras.app/swagger/v1/swagger.json get /v1/roles
openapi: 3.0.1
info:
  title: CTech Auth
  description: Service responsible for handling Auth version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/roles:
    get:
      tags:
        - Roles
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoleResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoleResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoleResponse'
components:
  schemas:
    RoleResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````